com.sun.grid.jgdi.configuration

## Class AdminHostImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.AdminHostImpl

- All Implemented Interfaces:
    AdminHost, GEObject, java.io.Serializable, java.lang.Cloneable

      public class AdminHostImpl
      extends GEObjectImpl
      implements AdminHost

  Java representation of the cull object AH_Type defined in sge_all_listsL.template

  Warning: The AdminHostImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminHostImpl()` Create a new instance of AdminHostImpl.
    `AdminHostImpl(boolean initWithDefaultValues)` Create a new instanceof
    `AdminHostImpl(java.lang.String name)` Create a new instance of AdminHostImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetName()` Determine if the name attribute is set
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### AdminHostImpl

          public AdminHostImpl()

      Create a new instance of AdminHostImpl. The new instance will not be initialized with the default values.

    - #### AdminHostImpl

          public AdminHostImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### AdminHostImpl

          public AdminHostImpl(java.lang.String name)

      Create a new instance of AdminHostImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `AdminHost`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `AdminHost`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `AdminHost`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `AdminHost`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.